=== debian/changelog ===
wineasio (5:1.0.0-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.
  * Switch to debhelper-compat (= 13), delete compat file.
  * Updated copyright file.
  * Add source/format to use quilt.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Mon, 22 Nov 2021 13:24:52 -0500

wineasio (5:1.0.0-1kxstudio1) bionic; urgency=medium

  * Stable release tag

 -- falkTX <falktx@gmail.com>  Tue, 14 Jul 2020 03:51:55 +0100

wineasio (5:0.10.0~git20200331) bionic; urgency=medium

  * Update

 -- falkTX <falktx@gmail.com>  Tue, 31 Mar 2020 01:54:04 +0100

wineasio (5:0.10.0~git20200209) bionic; urgency=medium

  * Update and refresh package

 -- falkTX <falktx@gmail.com>  Sat, 08 Feb 2020 16:08:46 +0000

wineasio (0.9.0+git20110613-2kxstudio2) precise; urgency=low

  * Make wineasio multiarch

 -- falkTX <falktx@gmail.com>  Mon, 30 Apr 2012 19:31:22 +0100

wineasio (0.9.0+git20110613-1kxstudio2) precise; urgency=low

  * Initial release

 -- falkTX <falktx@gmail.com>  Fri, 18 Dec 2009 18:03:10 +0000
