## wineasio 1.1.0

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # Created by falkTX
 #
 
-VERSION = 1.0.0
+VERSION = 1.1.0
 
 all:
 	@echo "error: you must pass '32' or '64' as an argument to this Makefile in order to build WineASIO"
