=== debian/changelog ===
wineasio (5:1.1.0-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.
  * Switch to source/format quilt.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Sat, 11 Dec 2021 10:12:15 -0500

wineasio (5:1.1.0-1kxstudio2) bionic; urgency=medium

  * Fix i386 links

 -- falkTX <falktx@gmail.com>  Fri, 10 Dec 2021 14:52:24 +0000

wineasio (5:1.1.0-1kxstudio1) bionic; urgency=medium

  * Update to fix wine6.5 compat

 -- falkTX <falktx@gmail.com>  Wed, 24 Nov 2021 21:28:41 +0000
