=== debian/rules ===
--- 
+++ 
@@ -5,15 +5,12 @@
 %:
 	dh $@
 
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
-
 override_dh_auto_build:
 ifeq ($(DEB_BUILD_ARCH),amd64)
-	$(MAKE) WINECC=winegcc-development 64
+	$(MAKE) WINEBUILD=winebuild-development WINECC=winegcc-development 64
 endif
 ifeq ($(DEB_BUILD_ARCH),i386)
-	$(MAKE) WINECC=winegcc-development 32
+	$(MAKE) WINEBUILD=winebuild-development WINECC=winegcc-development 32
 endif
 
 override_dh_auto_install:
