=== debian/changelog ===
wineasio (5:1.2.0b-1mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Wine-development no longer in Bookworm, try standard tools instead.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 02 Apr 2024 09:02:55 -0700

wineasio (5:1.2.0b-4kxstudio1) focal; urgency=medium

  * Fix compat with legacy wine

 -- falkTX <falktx@falktx.com>  Fri, 10 Nov 2023 17:09:18 +0200

wineasio (5:1.2.0b-1kxstudio2) bionic; urgency=medium

  * Update

 -- falkTX <falktx@falktx.com>  Fri, 29 Sep 2023 23:12:13 +0200

wineasio (5:1.1.0-2kxstudio1) bionic; urgency=medium

  * Update for a few more fixes

 -- falkTX <falktx@gmail.com>  Fri, 18 Feb 2022 15:27:05 +0000
