=== debian/control ===
Source: wineasio
Section: sound
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: falkTX <falktx@falktx.com>
Build-Depends: debhelper-compat (= 13),
#               kxstudio-build-scripts (>= 5),
               libjack-jackd2-dev | libjack-dev,
               libwine-dev [amd64 i386],
               pkg-config,
               wine32-tools [i386],
               wine64-tools [amd64]
Standards-Version: 3.9.2
XSC-KXStudio-VCS: https://github.com/wineasio/wineasio/

Package: wineasio
Architecture: amd64 i386
Depends: wineasio-amd64 [amd64],
         wineasio-data,
         wineasio-i386 [i386 amd64],
         ${misc:Depends}
Description: ASIO to JACK driver for WINE
 WineASIO is a ASIO driver for Wine,
 allowing to run Windows audio applications with
 low latency (as JACK clients).

Package: wineasio-data
Architecture: all
Depends: python3-pyqt5, ${misc:Depends}
Description: ASIO to JACK driver for WINE
 WineASIO is a ASIO driver for Wine,
 allowing to run Windows audio applications with
 low latency (as JACK clients).
 .
 This package provides the shared data used for the settings tool

Package: wineasio-i386
Architecture: amd64 i386
Multi-Arch: foreign
Depends: libjack-jackd2-0 | libjack0 | pipewire-jack,
         ${misc:Depends},
         ${shlibs:Depends}
Description: ASIO to JACK driver for WINE (32bit)
 WineASIO is a ASIO driver for Wine,
 allowing to run Windows audio applications with
 low latency (as JACK clients).
 .
 This package provides the 32bit driver

Package: wineasio-amd64
Architecture: amd64
Multi-Arch: foreign
Depends: libjack-jackd2-0 | libjack0 | pipewire-jack,
         ${misc:Depends},
         ${shlibs:Depends}
Description: ASIO to JACK driver for WINE (64bit)
 WineASIO is a ASIO driver for Wine,
 allowing to run Windows audio applications with
 low latency (as JACK clients).
 .
 This package provides the 64bit driver
