## wineasio 1.3.0

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # Created by falkTX
 #
 
-VERSION = 1.2.0
+VERSION = 1.3.0
 
 PREFIX ?= /usr
 
@@ -32,18 +32,7 @@
 	rm -f ../wineasio-$(VERSION).tar.gz
 	tar -c -z \
 		--exclude=".git*" \
-		--exclude=".travis*" \
 		--exclude=debian \
-		--exclude=prepare_64bit_asio.sh \
-		--exclude=rtaudio/cmake \
-		--exclude=rtaudio/contrib \
-		--exclude=rtaudio/doc \
-		--exclude=rtaudio/tests \
-		--exclude=rtaudio/"*.ac" \
-		--exclude=rtaudio/"*.am" \
-		--exclude=rtaudio/"*.in" \
-		--exclude=rtaudio/"*.sh" \
-		--exclude=rtaudio/"*.txt" \
 		--transform='s,^\.,wineasio-$(VERSION),' \
 		-f ../wineasio-$(VERSION).tar.gz .
