=== debian/changelog ===
wineasio (5:1.3.0-1mx25) mx; urgency=medium

  * New upstream release

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 16 Dec 2025 05:51:46 -0800
