=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 #               kxstudio-build-scripts (>= 5),
                libjack-jackd2-dev | libjack-dev,
                libwine-dev [amd64 i386],
-               pkg-config,
+               pkgconf,
                wine32-tools [i386],
                wine64-tools [amd64]
 Standards-Version: 3.9.2
